Subject: Re: linux-next: add utrace tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 25 Jan 2010 11:13:46 +0100

On Mon, 2010-01-25 at 10:29 +0530, Ananth N Mavinakayanahalli wrote:
> - Extend perf; would perf then use utrace underneath? Or would one have
>   to redo some of what utrace already does for thread level control?

No, perf is about monitoring/tracing not modifying. Its about minimal
interference, the very opposite of what ptrace/utrace is about.

>>From a perf POV if you need to stop a task (changing it scheduling
state) you've lost.

Furthermore, despite the name utrace isn't about tracing at all, its a
full blown debugging infrastructure which completely multiplexes the
task state, not something perf is interested in at all.